<?php
namespace Mirasvit\LayeredNavigation\Block\Renderer\SliderRenderer;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Block\Renderer\SliderRenderer
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Block\Renderer\SliderRenderer implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LayeredNavigation\Model\ConfigProvider $configProvider, \Mirasvit\LayeredNavigation\Service\SliderService $sliderService, \Magento\Framework\Pricing\PriceCurrencyInterface $priceCurrency, \Mirasvit\LayeredNavigation\Model\Config\SeoConfigProvider $seoConfigProvider, \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig, \Magento\Framework\View\Element\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($configProvider, $sliderService, $priceCurrency, $seoConfigProvider, $scopeConfig, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getSeparator() : string
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getSeparator');
        return $pluginInfo ? $this->___callPlugins('getSeparator', func_get_args(), $pluginInfo) : parent::getSeparator();
    }

    /**
     * {@inheritdoc}
     */
    public function getAttributeClearUrl($attributeCode)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getAttributeClearUrl');
        return $pluginInfo ? $this->___callPlugins('getAttributeClearUrl', func_get_args(), $pluginInfo) : parent::getAttributeClearUrl($attributeCode);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
